<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA['tx_myquizpoll_question'] = array (
	'ctrl' => $TCA['tx_myquizpoll_question']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'sys_language_uid,l10n_parent,l10n_diffsource,hidden,fe_group,title,name,qtype,answer1,correct1,points1,joker1_1,joker2_1,answer2,correct2,points2,joker1_2,joker2_2,answer3,correct3,points3,joker1_3,joker2_3,answer4,correct4,points4,joker1_4,joker2_4,answer5,correct5,points5,joker1_5,joker2_5,explanation,joker3,points,image,alt_text'
	),
	'feInterface' => $TCA['tx_myquizpoll_question']['feInterface'],
	'columns' => array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l10n_parent' => array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_myquizpoll_question',
				'foreign_table_where' => 'AND tx_myquizpoll_question.pid=###CURRENT_PID### AND tx_myquizpoll_question.sys_language_uid IN (-1,0)',
			)
		),
		'l10n_diffsource' => array (		
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		'title' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required,trim',
			)
		),
		'name' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.name',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',
				'rows' => '5',
				'wizards' => array(
					'_PADDING' => 2,
					'RTE' => array(
						'notNewRecords' => 1,
						'RTEonly'       => 1,
						'type'          => 'script',
						'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon'          => 'wizard_rte2.gif',
						'script'        => 'wizard_rte.php',
					),
				),
			)
		),
		'qtype' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype',		
			'config' => array (
				'type' => 'select',
				'items' => array (
					array('LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.0', '0'),
					array('LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.1', '1'),
					array('LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.2', '2'),
					array('LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.3', '3'),
				),
				'size' => 1,	
				'maxitems' => 1,
			)
		),
		'answer1' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer1',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required,trim',
			)
		),
		'correct1' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct1',		
			'config' => array (
				'type' => 'check',
			)
		),
		'points1' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.points1',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '500000',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'joker1_1' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker1_1',		
			'config' => array (
				'type' => 'check',
			)
		),
		'joker2_1' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker2_1',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '100',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'answer2' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer2',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'correct2' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct2',		
			'config' => array (
				'type' => 'check',
			)
		),
		'points2' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.points2',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '500000',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'joker1_2' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker1_2',		
			'config' => array (
				'type' => 'check',
			)
		),
		'joker2_2' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker2_2',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '100',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'answer3' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer3',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'correct3' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct3',		
			'config' => array (
				'type' => 'check',
			)
		),
		'points3' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.points3',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '500000',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'joker1_3' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker1_3',		
			'config' => array (
				'type' => 'check',
			)
		),
		'joker2_3' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker2_3',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '100',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'answer4' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer4',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'correct4' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct4',		
			'config' => array (
				'type' => 'check',
			)
		),
		'points4' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.points4',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '500000',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'joker1_4' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker1_4',		
			'config' => array (
				'type' => 'check',
			)
		),
		'joker2_4' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker2_4',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '100',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'answer5' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer5',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'correct5' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct5',		
			'config' => array (
				'type' => 'check',
			)
		),
		'points5' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.points5',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '500000',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'joker1_5' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker1_5',		
			'config' => array (
				'type' => 'check',
			)
		),
		'joker2_5' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker2_5',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					'upper' => '100',
					'lower' => '0'
				),
				'default' => 0
			)
		),
		'explanation' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.explanation',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',
				'rows' => '5',
				'wizards' => array(
					'_PADDING' => 2,
					'RTE' => array(
						'notNewRecords' => 1,
						'RTEonly'       => 1,
						'type'          => 'script',
						'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon'          => 'wizard_rte2.gif',
						'script'        => 'wizard_rte.php',
					),
				),
			)
		),
		'joker3' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.joker3',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '255',	
				'eval' => 'trim',
			)
		),
		'points' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.points',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					"upper" => "500000",
					"lower" => "0"
				),
				'default' => 1
			)
		),
		'image' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.image',		
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => 'gif,png,jpeg,jpg',	
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],	
				'uploadfolder' => 'uploads/tx_myquizpoll',
				'show_thumbs' => 1,	
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
		'alt_text' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.alt_text',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '255',	
				'eval' => 'trim',
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, name;;;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts];3-3-3, qtype, answer1, correct1;;2, answer2, correct2;;3, answer3, correct3;;4, answer4, correct4;;5, answer5, correct5;;6, explanation;;7;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts], points, image, alt_text")
	),
	"palettes" => array (
		"1" => array("showitem" => "fe_group"),
		"2" => array("showitem" => "points1, joker1_1, joker2_1"),
		"3" => array("showitem" => "points2, joker1_2, joker2_2"),
		"4" => array("showitem" => "points3, joker1_3, joker2_3"),
		"5" => array("showitem" => "points4, joker1_4, joker2_4"),
		"6" => array("showitem" => "points5, joker1_5, joker2_5"),
		"7" => array("showitem" => "joker3")
	)
);



$TCA['tx_myquizpoll_result'] = array (
	'ctrl' => $TCA['tx_myquizpoll_result']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'sys_language_uid,l10n_parent,l10n_diffsource,hidden,fe_group,name,email,homepage,ip,p_or_a,p_max,percent,o_max,o_percent,qids,sids,joker1,joker2,joker3,firsttime,lasttime'
	),
	'feInterface' => $TCA['tx_myquizpoll_result']['feInterface'],
	'columns' => array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l10n_parent' => array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_myquizpoll_result',
				'foreign_table_where' => 'AND tx_myquizpoll_result.pid=###CURRENT_PID### AND tx_myquizpoll_result.sys_language_uid IN (-1,0)',
			)
		),
		'l10n_diffsource' => array (		
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		'name' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.name',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'email' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.email',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'homepage' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.homepage',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'ip' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.ip',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'p_or_a' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.p_or_a',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					"upper" => "1000000",
					"lower" => "-1000000"
				),
				'default' => 0
			)
		),
		"p_max" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.p_max",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "1000000",
					"lower" => "-1000000"
				),
				"default" => 0
			)
		),
		"percent" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.percent",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "100",
					"lower" => "-100"
				),
				"default" => 0
			)
		),
		"o_max" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.o_max",		
			"config" => Array (
				"type"     => "input",
				"size"     => "8",
				"max"      => "8",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "1000000",
					"lower" => "-1000000"
				),
				"default" => 0
			)
		),
		"o_percent" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.o_percent",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "100",
					"lower" => "-100"
				),
				"default" => 0
			)
		),
		'qids' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.qids',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required,trim',
			)
		),
		'sids' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.sids',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'trim',
			)
		),
		'joker1' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.joker1',		
			'config' => array (
				'type' => 'check',
			)
		),
		'joker2' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.joker2',		
			'config' => array (
				'type' => 'check',
			)
		),
		'joker3' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.joker3',		
			'config' => array (
				'type' => 'check',
			)
		),
		'firsttime' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.firsttime',		
			'config' => array (
				'type'     => 'input',
				'size'     => '12',
				'max'      => '20',
				'eval'     => 'datetime',
				'checkbox' => '0',
				'default'  => '0'
			)
		),
		'lasttime' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.lasttime',		
			'config' => array (
				'type'     => 'input',
				'size'     => '12',
				'max'      => '20',
				'eval'     => 'datetime',
				'checkbox' => '0',
				'default'  => '0'
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, name;;;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts], email, homepage, ip, p_or_a;;2, qids;;3, sids, firsttime, lasttime")
	),
	"palettes" => array (
		"1" => array("showitem" => "fe_group"),
		"2" => array("showitem" => "p_max, percent, o_max, o_percent"),
		"3" => array("showitem" => "joker1, joker2, joker3")
	)
);



$TCA['tx_myquizpoll_relation'] = array (
	'ctrl' => $TCA['tx_myquizpoll_relation']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'sys_language_uid,l10n_parent,l10n_diffsource,user_id,question_id,textinput,checked1,checked2,checked3,checked4,checked5,points'
	),
	'feInterface' => $TCA['tx_myquizpoll_relation']['feInterface'],
	'columns' => array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l10n_parent' => array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_myquizpoll_relation',
				'foreign_table_where' => 'AND tx_myquizpoll_relation.pid=###CURRENT_PID### AND tx_myquizpoll_relation.sys_language_uid IN (-1,0)',
			)
		),
		'l10n_diffsource' => array (		
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'user_id' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.user_id',		
			'config' => array (
				'type' => 'select',	
				'foreign_table' => 'tx_myquizpoll_result',	
				'foreign_table_where' => 'AND tx_myquizpoll_result.pid=###CURRENT_PID### ORDER BY tx_myquizpoll_result.uid',	
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,	
				"MM" => "tx_myquizpoll_relation_user_id_mm",
			)
		),
		'question_id' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.question_id',		
			'config' => array (
				'type' => 'select',	
				'foreign_table' => 'tx_myquizpoll_question',	
				'foreign_table_where' => 'AND tx_myquizpoll_question.pid=###CURRENT_PID### ORDER BY tx_myquizpoll_question.uid',	
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,	
				"MM" => "tx_myquizpoll_relation_question_id_mm",
			)
		),
		'textinput' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.textinput',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '255',	
				'eval' => 'trim',
			)
		),
		'checked1' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.checked1',		
			'config' => array (
				'type' => 'check',
			)
		),
		'checked2' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.checked2',		
			'config' => array (
				'type' => 'check',
			)
		),
		'checked3' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.checked3',		
			'config' => array (
				'type' => 'check',
			)
		),
		'checked4' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.checked4',		
			'config' => array (
				'type' => 'check',
			)
		),
		'checked5' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.checked5',		
			'config' => array (
				'type' => 'check',
			)
		),
		'points' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_relation.points',		
			'config' => array (
				'type'     => 'input',
				'size'     => '4',
				'max'      => '4',
				'eval'     => 'int',
				'checkbox' => '0',
				'range'    => array (
					"upper" => "500000",
					"lower" => "-500000"
				),
				'default' => 0
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, user_id, question_id, textinput, checked1, checked2, checked3, checked4, checked5, points')
	),
	'palettes' => array (
		'1' => array('showitem' => '')
	)
);
?>