#
# Table structure for table 'tx_myquizpoll_question'
#
CREATE TABLE tx_myquizpoll_question (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumtext,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	fe_group int(11) DEFAULT '0' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	name text,
	qtype int(11) DEFAULT '0' NOT NULL,
	answer1 varchar(255) DEFAULT '' NOT NULL,
	correct1 tinyint(3) DEFAULT '0' NOT NULL,
	points1 int(11) DEFAULT '0' NOT NULL,
	joker1_1 tinyint(3) DEFAULT '0' NOT NULL,
	joker2_1 int(11) DEFAULT '0' NOT NULL,
	answer2 varchar(255) DEFAULT '' NOT NULL,
	correct2 tinyint(3) DEFAULT '0' NOT NULL,
	points2 int(11) DEFAULT '0' NOT NULL,
	joker1_2 tinyint(3) DEFAULT '0' NOT NULL,
	joker2_2 int(11) DEFAULT '0' NOT NULL,
	answer3 varchar(255) DEFAULT '' NOT NULL,
	correct3 tinyint(3) DEFAULT '0' NOT NULL,
	points3 int(11) DEFAULT '0' NOT NULL,
	joker1_3 tinyint(3) DEFAULT '0' NOT NULL,
	joker2_3 int(11) DEFAULT '0' NOT NULL,
	answer4 varchar(255) DEFAULT '' NOT NULL,
	correct4 tinyint(3) DEFAULT '0' NOT NULL,
	points4 int(11) DEFAULT '0' NOT NULL,
	joker1_4 tinyint(3) DEFAULT '0' NOT NULL,
	joker2_4 int(11) DEFAULT '0' NOT NULL,
	answer5 varchar(255) DEFAULT '' NOT NULL,
	correct5 tinyint(3) DEFAULT '0' NOT NULL,
	points5 int(11) DEFAULT '0' NOT NULL,
	joker1_5 tinyint(3) DEFAULT '0' NOT NULL,
	joker2_5 int(11) DEFAULT '0' NOT NULL,
	explanation text,
	joker3 varchar(255) DEFAULT '' NOT NULL,
	points int(11) DEFAULT '0' NOT NULL,
	image text,
	alt_text varchar(255) DEFAULT '' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_myquizpoll_result'
#
CREATE TABLE tx_myquizpoll_result (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumtext,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	fe_group int(11) DEFAULT '0' NOT NULL,
	name varchar(255) DEFAULT '' NOT NULL,
	email varchar(255) DEFAULT '' NOT NULL,
	homepage varchar(255) DEFAULT '' NOT NULL,
	ip varchar(255) DEFAULT '' NOT NULL,
	p_or_a int(11) DEFAULT '0' NOT NULL,
	p_max int(11) DEFAULT '0' NOT NULL,
	percent int(11) DEFAULT '0' NOT NULL,
	o_max int(11) DEFAULT '0' NOT NULL,
	o_percent int(11) DEFAULT '0' NOT NULL,
	qids varchar(255) DEFAULT '' NOT NULL,
	sids varchar(255) DEFAULT '' NOT NULL,
	joker1 tinyint(3) DEFAULT '0' NOT NULL,
	joker2 tinyint(3) DEFAULT '0' NOT NULL,
	joker3 tinyint(3) DEFAULT '0' NOT NULL,
	firsttime int(11) DEFAULT '0' NOT NULL,
	lasttime int(11) DEFAULT '0' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);




#
# Table structure for table 'tx_myquizpoll_relation_user_id_mm'
# 
#
CREATE TABLE tx_myquizpoll_relation_user_id_mm (
  uid_local int(11) DEFAULT '0' NOT NULL,
  uid_foreign int(11) DEFAULT '0' NOT NULL,
  tablenames varchar(30) DEFAULT '' NOT NULL,
  sorting int(11) DEFAULT '0' NOT NULL,
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);




#
# Table structure for table 'tx_myquizpoll_relation_question_id_mm'
# 
#
CREATE TABLE tx_myquizpoll_relation_question_id_mm (
  uid_local int(11) DEFAULT '0' NOT NULL,
  uid_foreign int(11) DEFAULT '0' NOT NULL,
  tablenames varchar(30) DEFAULT '' NOT NULL,
  sorting int(11) DEFAULT '0' NOT NULL,
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);



#
# Table structure for table 'tx_myquizpoll_relation'
#
CREATE TABLE tx_myquizpoll_relation (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumtext,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	user_id int(11) DEFAULT '0' NOT NULL,
	question_id int(11) DEFAULT '0' NOT NULL,
	textinput varchar(255) DEFAULT '' NOT NULL,
	checked1 tinyint(3) DEFAULT '0' NOT NULL,
	checked2 tinyint(3) DEFAULT '0' NOT NULL,
	checked3 tinyint(3) DEFAULT '0' NOT NULL,
	checked4 tinyint(3) DEFAULT '0' NOT NULL,
	checked5 tinyint(3) DEFAULT '0' NOT NULL,
	points int(11) DEFAULT '0' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);